[arch-commits] Commit in nvidia-304xx-lts/repos (8 files)

Andreas Radke andyrtr at archlinux.org
Sat Mar 18 17:16:34 UTC 2017


    Date: Saturday, March 18, 2017 @ 17:16:34
  Author: andyrtr
Revision: 291038

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  nvidia-304xx-lts/repos/testing-i686/
  nvidia-304xx-lts/repos/testing-i686/PKGBUILD
    (from rev 291037, nvidia-304xx-lts/trunk/PKGBUILD)
  nvidia-304xx-lts/repos/testing-i686/disable-mtrr.patch
    (from rev 291037, nvidia-304xx-lts/trunk/disable-mtrr.patch)
  nvidia-304xx-lts/repos/testing-i686/nvidia-304xx-lts.install
    (from rev 291037, nvidia-304xx-lts/trunk/nvidia-304xx-lts.install)
  nvidia-304xx-lts/repos/testing-x86_64/
  nvidia-304xx-lts/repos/testing-x86_64/PKGBUILD
    (from rev 291037, nvidia-304xx-lts/trunk/PKGBUILD)
  nvidia-304xx-lts/repos/testing-x86_64/disable-mtrr.patch
    (from rev 291037, nvidia-304xx-lts/trunk/disable-mtrr.patch)
  nvidia-304xx-lts/repos/testing-x86_64/nvidia-304xx-lts.install
    (from rev 291037, nvidia-304xx-lts/trunk/nvidia-304xx-lts.install)

-----------------------------------------+
 testing-i686/PKGBUILD                   |   64 ++++++++++++++++++++++++++++++
 testing-i686/disable-mtrr.patch         |   24 +++++++++++
 testing-i686/nvidia-304xx-lts.install   |   15 +++++++
 testing-x86_64/PKGBUILD                 |   64 ++++++++++++++++++++++++++++++
 testing-x86_64/disable-mtrr.patch       |   24 +++++++++++
 testing-x86_64/nvidia-304xx-lts.install |   15 +++++++
 6 files changed, 206 insertions(+)

Copied: nvidia-304xx-lts/repos/testing-i686/PKGBUILD (from rev 291037, nvidia-304xx-lts/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2017-03-18 17:16:34 UTC (rev 291038)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=nvidia-304xx-lts
+pkgver=304.135
+_extramodules=extramodules-4.9-lts
+pkgrel=3
+pkgdesc="NVIDIA drivers for linux-lts, 304xx legacy branch"
+arch=('i686' 'x86_64')
+url="http://www.nvidia.com/"
+depends=('linux-lts>=4.9.16' "nvidia-304xx-utils=${pkgver}")
+makedepends=('linux-lts-headers>=4.9.16')
+conflicts=('nvidia-lts' 'nvidia-96xx-lts' 'nvidia-173xx-lts')
+provides=('nvidia-304xx')
+license=('custom')
+install=nvidia-304xx-lts.install
+options=('!strip')
+#source_i686=("http://us.download.nvidia.com/XFree86/Linux-x86/${pkgver}/NVIDIA-Linux-x86-${pkgver}.run")
+#source_x86_64=("http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run")
+#sha512sums_i686=('3e67c40648554dc49472081eee88ae982c3b235b3346e4d9e7fb5ae33ec5f10ed088da804ac7d8bd1565995df3861f12b3560030cd3a19339a2d35768b0a943e')
+#sha512sums_x86_64=('07e529e4e81c42b43861475029aa0f223f8f3d299be9ddfe820c583e26aae49223a9b0dfee6d66ab09c526554bb581e5f8cf755eda600cb9e0bdac7d5f4acb93')
+
+source=("http://us.download.nvidia.com/XFree86/Linux-x86/${pkgver}/NVIDIA-Linux-x86-${pkgver}.run"
+        "http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run"
+        disable-mtrr.patch)
+sha512sums=('c2645cc9a6f23641d8b6da51e72e203980068c05e365fcc73b32322a6875ce95e81f4e0d893276e14e84e93464488539c16db6b3be04f5324cf7d7a12bb557f8'
+            'a5aa48baa75eb267bd193e59328aa5fbc15d41045bb7e97aa1b96b918b9e68a1c1bf95624d9d494336256e0af2c41e188d30fe91be4967084de3387f50d3805c'
+            '54e8825e523f11706890e09e476498f3a30f75ce4e350ff2ff8a1e1c3af574d9ccfb8903543766b6863d94cdfbf46e68cd3d33380867dd976cafc8dd2dd78774')
+
+
+if [ "$CARCH" = "i686" ]; then
+  _arch='x86'
+  _pkg="NVIDIA-Linux-${_arch}-${pkgver}"
+elif [ "$CARCH" = "x86_64" ]; then
+  _arch='x86_64'
+  _pkg="NVIDIA-Linux-${_arch}-${pkgver}-no-compat32"
+fi
+
+prepare() {
+    cd "${srcdir}"
+    sh "${_pkg}.run" --extract-only
+    cd "${_pkg}"
+    # patches here
+
+    # FS#47092
+    #(cd kernel; patch -p1 --no-backup-if-mismatch -i "$srcdir"/disable-mtrr.patch)
+}
+
+build() {
+    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"
+    cd "${_pkg}/kernel"
+    make SYSSRC=/usr/lib/modules/"${_kernver}/build" module
+}
+
+package() {
+    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia.ko" \
+        "${pkgdir}/usr/lib/modules/${_extramodules}/nvidia.ko"
+    install -d -m755 "${pkgdir}/usr/lib/modprobe.d"
+    echo "blacklist nouveau" >> "${pkgdir}/usr/lib/modprobe.d/nvidia-304xx-lts.conf"
+    echo "blacklist nvidiafb" >> "${pkgdir}/usr/lib/modprobe.d/nvidia-304xx-lts.conf"
+    gzip "${pkgdir}/usr/lib/modules/${_extramodules}/nvidia.ko"
+    install -D -m644 ${_pkg}/LICENSE "${pkgdir}/usr/share/licenses/nvidia-304xx-lts/LICENSE"
+}

Copied: nvidia-304xx-lts/repos/testing-i686/disable-mtrr.patch (from rev 291037, nvidia-304xx-lts/trunk/disable-mtrr.patch)
===================================================================
--- testing-i686/disable-mtrr.patch	                        (rev 0)
+++ testing-i686/disable-mtrr.patch	2017-03-18 17:16:34 UTC (rev 291038)
@@ -0,0 +1,24 @@
+Author: Luca Boccassi <luca.boccassi at gmail.com>
+Description: Disable MTRR on kernel >= 4.3
+ From kernel 4.3 and newer (commit 2baa891e42d84) mtrr_add and mtrr_del are no
+ longer exported. The Nvidia kernel shim still uses it as of 304.131, causing
+ the module to error out when loading. Disable MTRR if running on 4.3 or greater
+ until upstream fixes it.
+--- a/nv-linux.h
++++ b/nv-linux.h
+@@ -256,6 +256,15 @@
+ #include <linux/seq_file.h>
+ #endif
+ 
++/*
++ * As of version 304.131, os-agp.c and os-mtrr.c still use deprecated
++ * kernel APIs for mtrr which are no longer exported since 4.3, causing
++ * the module to error out when loaded.
++ */
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,3,0)
++#undef CONFIG_MTRR
++#endif
++
+ #if !defined(NV_VMWARE) && defined(CONFIG_MTRR)
+ #include <asm/mtrr.h>
+ #endif

Copied: nvidia-304xx-lts/repos/testing-i686/nvidia-304xx-lts.install (from rev 291037, nvidia-304xx-lts/trunk/nvidia-304xx-lts.install)
===================================================================
--- testing-i686/nvidia-304xx-lts.install	                        (rev 0)
+++ testing-i686/nvidia-304xx-lts.install	2017-03-18 17:16:34 UTC (rev 291038)
@@ -0,0 +1,15 @@
+post_install() {
+    EXTRAMODULES='extramodules-4.9-lts'
+    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+    echo 'In order to use nvidia module, reboot the system.'
+}
+
+post_upgrade() {
+    EXTRAMODULES='extramodules-4.9-lts'
+    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}
+
+post_remove() {
+    EXTRAMODULES='extramodules-4.9-lts'
+    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}

Copied: nvidia-304xx-lts/repos/testing-x86_64/PKGBUILD (from rev 291037, nvidia-304xx-lts/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2017-03-18 17:16:34 UTC (rev 291038)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=nvidia-304xx-lts
+pkgver=304.135
+_extramodules=extramodules-4.9-lts
+pkgrel=3
+pkgdesc="NVIDIA drivers for linux-lts, 304xx legacy branch"
+arch=('i686' 'x86_64')
+url="http://www.nvidia.com/"
+depends=('linux-lts>=4.9.16' "nvidia-304xx-utils=${pkgver}")
+makedepends=('linux-lts-headers>=4.9.16')
+conflicts=('nvidia-lts' 'nvidia-96xx-lts' 'nvidia-173xx-lts')
+provides=('nvidia-304xx')
+license=('custom')
+install=nvidia-304xx-lts.install
+options=('!strip')
+#source_i686=("http://us.download.nvidia.com/XFree86/Linux-x86/${pkgver}/NVIDIA-Linux-x86-${pkgver}.run")
+#source_x86_64=("http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run")
+#sha512sums_i686=('3e67c40648554dc49472081eee88ae982c3b235b3346e4d9e7fb5ae33ec5f10ed088da804ac7d8bd1565995df3861f12b3560030cd3a19339a2d35768b0a943e')
+#sha512sums_x86_64=('07e529e4e81c42b43861475029aa0f223f8f3d299be9ddfe820c583e26aae49223a9b0dfee6d66ab09c526554bb581e5f8cf755eda600cb9e0bdac7d5f4acb93')
+
+source=("http://us.download.nvidia.com/XFree86/Linux-x86/${pkgver}/NVIDIA-Linux-x86-${pkgver}.run"
+        "http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run"
+        disable-mtrr.patch)
+sha512sums=('c2645cc9a6f23641d8b6da51e72e203980068c05e365fcc73b32322a6875ce95e81f4e0d893276e14e84e93464488539c16db6b3be04f5324cf7d7a12bb557f8'
+            'a5aa48baa75eb267bd193e59328aa5fbc15d41045bb7e97aa1b96b918b9e68a1c1bf95624d9d494336256e0af2c41e188d30fe91be4967084de3387f50d3805c'
+            '54e8825e523f11706890e09e476498f3a30f75ce4e350ff2ff8a1e1c3af574d9ccfb8903543766b6863d94cdfbf46e68cd3d33380867dd976cafc8dd2dd78774')
+
+
+if [ "$CARCH" = "i686" ]; then
+  _arch='x86'
+  _pkg="NVIDIA-Linux-${_arch}-${pkgver}"
+elif [ "$CARCH" = "x86_64" ]; then
+  _arch='x86_64'
+  _pkg="NVIDIA-Linux-${_arch}-${pkgver}-no-compat32"
+fi
+
+prepare() {
+    cd "${srcdir}"
+    sh "${_pkg}.run" --extract-only
+    cd "${_pkg}"
+    # patches here
+
+    # FS#47092
+    #(cd kernel; patch -p1 --no-backup-if-mismatch -i "$srcdir"/disable-mtrr.patch)
+}
+
+build() {
+    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"
+    cd "${_pkg}/kernel"
+    make SYSSRC=/usr/lib/modules/"${_kernver}/build" module
+}
+
+package() {
+    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia.ko" \
+        "${pkgdir}/usr/lib/modules/${_extramodules}/nvidia.ko"
+    install -d -m755 "${pkgdir}/usr/lib/modprobe.d"
+    echo "blacklist nouveau" >> "${pkgdir}/usr/lib/modprobe.d/nvidia-304xx-lts.conf"
+    echo "blacklist nvidiafb" >> "${pkgdir}/usr/lib/modprobe.d/nvidia-304xx-lts.conf"
+    gzip "${pkgdir}/usr/lib/modules/${_extramodules}/nvidia.ko"
+    install -D -m644 ${_pkg}/LICENSE "${pkgdir}/usr/share/licenses/nvidia-304xx-lts/LICENSE"
+}

Copied: nvidia-304xx-lts/repos/testing-x86_64/disable-mtrr.patch (from rev 291037, nvidia-304xx-lts/trunk/disable-mtrr.patch)
===================================================================
--- testing-x86_64/disable-mtrr.patch	                        (rev 0)
+++ testing-x86_64/disable-mtrr.patch	2017-03-18 17:16:34 UTC (rev 291038)
@@ -0,0 +1,24 @@
+Author: Luca Boccassi <luca.boccassi at gmail.com>
+Description: Disable MTRR on kernel >= 4.3
+ From kernel 4.3 and newer (commit 2baa891e42d84) mtrr_add and mtrr_del are no
+ longer exported. The Nvidia kernel shim still uses it as of 304.131, causing
+ the module to error out when loading. Disable MTRR if running on 4.3 or greater
+ until upstream fixes it.
+--- a/nv-linux.h
++++ b/nv-linux.h
+@@ -256,6 +256,15 @@
+ #include <linux/seq_file.h>
+ #endif
+ 
++/*
++ * As of version 304.131, os-agp.c and os-mtrr.c still use deprecated
++ * kernel APIs for mtrr which are no longer exported since 4.3, causing
++ * the module to error out when loaded.
++ */
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,3,0)
++#undef CONFIG_MTRR
++#endif
++
+ #if !defined(NV_VMWARE) && defined(CONFIG_MTRR)
+ #include <asm/mtrr.h>
+ #endif

Copied: nvidia-304xx-lts/repos/testing-x86_64/nvidia-304xx-lts.install (from rev 291037, nvidia-304xx-lts/trunk/nvidia-304xx-lts.install)
===================================================================
--- testing-x86_64/nvidia-304xx-lts.install	                        (rev 0)
+++ testing-x86_64/nvidia-304xx-lts.install	2017-03-18 17:16:34 UTC (rev 291038)
@@ -0,0 +1,15 @@
+post_install() {
+    EXTRAMODULES='extramodules-4.9-lts'
+    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+    echo 'In order to use nvidia module, reboot the system.'
+}
+
+post_upgrade() {
+    EXTRAMODULES='extramodules-4.9-lts'
+    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}
+
+post_remove() {
+    EXTRAMODULES='extramodules-4.9-lts'
+    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}


More information about the arch-commits mailing list